summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2012-12-14 06:52:45 +0100
committer Matteo Bernardini2012-12-15 15:13:34 +0100
commitab2cf7f29f0c9039d2698a7fc1cd9415a74098a4 (patch)
tree6895bd7f4208ebca80fdc0d98719426b9aa59903 /desktop
parent5f9b716ecfbef39b92f602b1af48cffe4b972174 (diff)
downloadold.slackbuilds-ab2cf7f29f0c9039d2698a7fc1cd9415a74098a4.tar.gz
desktop/kfaenza-icon-theme: Added (KDE icon theme).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kfaenza-icon-theme/README3
-rw-r--r--desktop/kfaenza-icon-theme/kfaenza-icon-theme.SlackBuild64
-rw-r--r--desktop/kfaenza-icon-theme/kfaenza-icon-theme.info10
-rw-r--r--desktop/kfaenza-icon-theme/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/desktop/kfaenza-icon-theme/README b/desktop/kfaenza-icon-theme/README
new file mode 100644
index 0000000000..69fa266d93
--- /dev/null
+++ b/desktop/kfaenza-icon-theme/README
@@ -0,0 +1,3 @@
+KFaenza icon theme for the KDE desktop.
+
+The package includes a Slackware icon: Places/distributor-logo.
diff --git a/desktop/kfaenza-icon-theme/kfaenza-icon-theme.SlackBuild b/desktop/kfaenza-icon-theme/kfaenza-icon-theme.SlackBuild
new file mode 100644
index 0000000000..b5d232a22d
--- /dev/null
+++ b/desktop/kfaenza-icon-theme/kfaenza-icon-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware Package Build Script for KFaenza icon theme
+# Benjamin Trigona-Harany
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="kfaenza-icon-theme"
+VERSION=${VERSION:-0.8.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch ## hardcode ARCH
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -fr $TMP/${PRGNAM}_${VERSION} $PKG
+mkdir -p $TMP $PKG $OUTPUT $TMP/${PRGNAM}_${VERSION}
+cd $TMP/${PRGNAM}_${VERSION}
+tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+chown -R root.root .
+find . -type f -exec chmod 644 {} \;
+find . -type d -exec chmod 755 {} \;
+rm KFaenza/INSTALL
+
+# following is from the KFaenza INSTALL script
+iconname="start-here-slackware"
+cd ./KFaenza/places/scalable/ && ln -sf ./$iconname.svg distributor-logo.svg && cd ../../..
+for size in 256 128 64 48 32 22 16; do
+ cd ./KFaenza/places/$size/ && ln -sf ./$iconname.png distributor-logo.png && cd ../../..
+done
+
+mkdir -p $PKG/usr/share/icons
+cp -a KFaenza $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/kfaenza-icon-theme/kfaenza-icon-theme.info b/desktop/kfaenza-icon-theme/kfaenza-icon-theme.info
new file mode 100644
index 0000000000..d3605197cd
--- /dev/null
+++ b/desktop/kfaenza-icon-theme/kfaenza-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="kfaenza-icon-theme"
+VERSION="0.8.9"
+HOMEPAGE="http://kde-look.org/content/show.php?content=143890"
+DOWNLOAD="http://jaxartes.net/files/kfaenza-icon-theme-0.8.9.tar.gz"
+MD5SUM="95e9f287da7a0fd76fb406d313eee77e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
diff --git a/desktop/kfaenza-icon-theme/slack-desc b/desktop/kfaenza-icon-theme/slack-desc
new file mode 100644
index 0000000000..d62e4fd564
--- /dev/null
+++ b/desktop/kfaenza-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kfaenza-icon-theme: kfaenza-icon-theme (KDE icon theme)
+kfaenza-icon-theme:
+kfaenza-icon-theme: KFaenza icon theme for KDE.
+kfaenza-icon-theme:
+kfaenza-icon-theme: Home Page: http://kde-look.org/content/show.php?content=143890
+kfaenza-icon-theme:
+kfaenza-icon-theme:
+kfaenza-icon-theme:
+kfaenza-icon-theme:
+kfaenza-icon-theme:
+kfaenza-icon-theme: